Draft WireToBSpline/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(11 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav|[[Draft_Edit|Edit]]|[[Draft_AddPoint|Add point]]|[[Draft_Module|Draft]]|IconL=Draft_Edit.svg|IconC=Workbench_Draft.svg|IconR=Draft_AddPoint.svg}}
{{Docnav
|[[Draft_Downgrade|Downgrade]]
|[[Draft_Draft2Sketch|Draft2Sketch]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Downgrade.svg
|IconR=Draft_Draft2Sketch.svg
|IconC=Workbench_Draft.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ro
{{GuiCommand/ro|Name=Draft WireToBSpline|Name/ro=Draft WireToBSpline|Workbenches=[[Draft Module/ro|Draft]], [[Arch Module/ro|Arch]]|MenuLocation=Drafting → Wire to BSpline}}
|Name=Draft WireToBSpline
|Name/ro=Draft WireToBSpline
|MenuLocation=Drafting → Wire to BSpline
|Workbenches=[[Draft_Workbench/ro|Draft]], [[Arch_Workbench/ro|Arch]]
}}
</div>
</div>


<span id="Description"></span>
==Descriere==
==Descriere==


Line 12: Line 26:
</div>
</div>


[[Image:Draft Wire2BSpline example.jpg|400px]]
[[Image:Draft_Wire2BSpline_example.jpg|400px]]
{{Caption|Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire}}
{{Caption|Converting a wire to a B-spline, and a closed B-spline to a closed wire}}


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
== Cum se folosește ==
== Cum se folosește ==
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 22: Line 39:
</div>
</div>


==Notes==
A new object will be created; the original object will not be modified.


{{Emphasis|Note:}} if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set {{PropertyData|Make Face}} to {{FALSE}} to see the new shape, or set {{PropertyData|Closed}} to {{FALSE}} to create an open shape.
* The command may result in a closed, self-intersecting [[Draft_Wire|Draft Wire]] or [[Draft_BSpline|Draft BSpline]] with a face. Such an object will not display properly in the [[3D_view|3D view]]. Its {{PropertyData|Make Face}} property, or its {{PropertyData|Closed}} property, must be set to {{FALSE}}.


== Opţiuni ==
==Scripting==

<div class="mw-translate-fuzzy">
* Obiectul original nu va fi șters după operație, trebuie să-l ștergeți manual dacă doriți asta.
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 39: Line 52:
Nu este disponibil, dar crearea unui obiect nou cu punctele dintr-un altul este ușor, de exemplu:
Nu este disponibil, dar crearea unui obiect nou cu punctele dintr-un altul este ușor, de exemplu:
</div>
</div>

The {{incode|Points}} attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its {{incode|FreeCAD.Vector}}, with units in millimeters.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
* Dacă obiectul activ este un filament:
* Dacă obiectul activ este un filament:
</div>
</div>

{{Code|code=
{{Code|code=
import FreeCAD, Draft
import FreeCAD as App
import Draft

doc = App.newDocument()


p1 = App.Vector(1000, 1000, 0)
# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = App.Vector(2000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = App.Vector(2500, -1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = App.Vector(3500, -500, 0)
p4 = FreeCAD.Vector(3500, -500, 0)


base_wire = Draft.makeWire([p1, p2, p3, p4])
base_wire = Draft.make_wire([p1, p2, p3, p4])
base_spline = Draft.make_bspline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])


points1 = base_wire.Points
points1 = base_wire.Points
spline = Draft.makeBSpline(points1)
spline_from_wire = Draft.make_bspline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])


points2 = base_spline.Points
points2 = base_spline.Points
Wire = Draft.makeWire(points2)
wire_from_spline = Draft.make_wire(points2)

doc.recompute()
}}
}}


{{Docnav|[[Draft_Edit|Edit]]|[[Draft_AddPoint|Add point]]|[[Draft_Module|Draft]]|IconL=Draft_Edit.svg|IconC=Workbench_Draft.svg|IconR=Draft_AddPoint.svg}}


{{Docnav
{{Draft Tools navi}}
|[[Draft_Downgrade|Downgrade]]
|[[Draft_Draft2Sketch|Draft2Sketch]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Downgrade.svg
|IconR=Draft_Draft2Sketch.svg
|IconC=Workbench_Draft.svg
}}


{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 07:42, 10 April 2024

Draft WireToBSpline

poziția meniului
Drafting → Wire to BSpline
Ateliere
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

Acest instrument convertește un filament Wires într-o funcție BSplines, și vice-versa.

Converting a wire to a B-spline, and a closed B-spline to a closed wire

Cum se folosește

  1. Selectați un wire sau o BSpline
  2. Apăsați butonul Draft WireToBSpline

Notes

  • The command may result in a closed, self-intersecting Draft Wire or Draft BSpline with a face. Such an object will not display properly in the 3D view. Its DateMake Face property, or its DateClosed property, must be set to false.

Scripting

Scrip-Programare

Nu este disponibil, dar crearea unui obiect nou cu punctele dintr-un altul este ușor, de exemplu:

  • Dacă obiectul activ este un filament:
import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(1000, 1000, 0)
p2 = App.Vector(2000, 1000, 0)
p3 = App.Vector(2500, -1000, 0)
p4 = App.Vector(3500, -500, 0)

base_wire = Draft.make_wire([p1, p2, p3, p4])
base_spline = Draft.make_bspline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points1 = base_wire.Points
spline_from_wire = Draft.make_bspline(points1)

points2 = base_spline.Points
wire_from_spline = Draft.make_wire(points2)

doc.recompute()